org.jboss.jca.embedded.dsl.ironjacamar11.api

## Interface RecoverType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface RecoverType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `recoverType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CredentialType<RecoverType<T>>` | `getOrCreateRecoverCredential()` If not already created, a new `recover-credential` element with the given value will be created.
    `ExtensionType<RecoverType<T>>` | `getOrCreateRecoverPlugin()` If not already created, a new `recover-plugin` element with the given value will be created.
    `java.lang.Boolean` | `isNoRecovery()` Returns the `no-recovery` attribute
    `RecoverType<T>` | `noRecovery(java.lang.Boolean noRecovery)` Sets the `no-recovery` attribute
    `RecoverType<T>` | `removeNoRecovery()` Removes the `no-recovery` attribute
    `RecoverType<T>` | `removeRecoverCredential()` Removes the `recover-credential` element
    `RecoverType<T>` | `removeRecoverPlugin()` Removes the `recover-plugin` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### getOrCreateRecoverCredential

          CredentialType<RecoverType<T>> getOrCreateRecoverCredential()

      If not already created, a new `recover-credential` element with the given value will be created. Otherwise, the existing `recover-credential` element will be returned.
      Returns:
        a new or existing instance of `CredentialType>`

    - #### removeRecoverCredential

          RecoverType<T> removeRecoverCredential()

      Removes the `recover-credential` element
      Returns:
        the current instance of `RecoverType`

    - #### getOrCreateRecoverPlugin

          ExtensionType<RecoverType<T>> getOrCreateRecoverPlugin()

      If not already created, a new `recover-plugin` element with the given value will be created. Otherwise, the existing `recover-plugin` element will be returned.
      Returns:
        a new or existing instance of `ExtensionType>`

    - #### removeRecoverPlugin

          RecoverType<T> removeRecoverPlugin()

      Removes the `recover-plugin` element
      Returns:
        the current instance of `RecoverType`

    - #### noRecovery

          RecoverType<T> noRecovery(java.lang.Boolean noRecovery)

      Sets the `no-recovery` attribute
      Parameters:
        `noRecovery` - the value for the attribute `no-recovery`
      Returns:
        the current instance of `RecoverType`

    - #### isNoRecovery

          java.lang.Boolean isNoRecovery()

      Returns the `no-recovery` attribute
      Returns:
        the value defined for the attribute `no-recovery`

    - #### removeNoRecovery

          RecoverType<T> removeNoRecovery()

      Removes the `no-recovery` attribute
      Returns:
        the current instance of `RecoverType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)